CSPLIT(1)

BEZEICHNUNG
csplit - Eine Datei anhand von Kontextzeilen in mehrere Teile teilen

ÜBERSICHT
csplit [OPTION]… DATEI MUSTER…

BESCHREIBUNG

Teile der DATEI getrennt durch (ein oder mehrere) MUSTER in die Dateien »xx00«, »xx01«, … ausgeben und die Anzahl der Bytes für jedes Teil auf der Standardausgabe anzeigen.

Standardeingabe lesen, wenn DATEI »-« ist

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --suffix-format=FORMAT
    sprintf‐FORMAT anstelle von %02d benutzen

-f, --prefix=PRÄFIX
    PRÄFIX anstelle von »xx« benutzen

-k, --keep-files
    Ausgabedateien bei Fehlern nicht löschen

--suppress-matched
    Die Zeilen unterdrücken, die dem MUSTER entsprechen

-n, --digits=ZIFFERN
    Angegebene Anzahl ZIFFERN anstelle von 2 benutzen

-s, --quiet, --silent
    Anzahl der Ausgabedateigrößen nicht ausgeben

-z, --elide-empty-files
    unterdrückt leere Ausgabedateien.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

  Jedes MUSTER kann sein:

GANZZAHL
    Bis zur angegebenen Zeilennummer kopieren (ohne die angegebene Zeile)

/REGEXP/[VERSATZ]
    Bis zur passenden Zeile kopieren (ohne die angegebene Zeile)

%REGEXP%[VERSATZ]
    Bis zur passsenden Zeile überspringen (ohne die angegebene Zeile)

{GANZZAHL}
    Das vorherige Muster so oft wie angegeben wiederholen

{*} Das vorherige Muster so oft wie möglich wiederholen

Ein Zeilen-VERSATZ ist eine Ganzzahl, optional mit vorangestelltem »+« oder »-«.

AUTOR
Geschrieben von Stuart Kemp und David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/csplit>
oder lokal verfügbar mit: info '(coreutils) csplit invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).